Subject: Re: bug#31908: Save file locks in centralized location

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 23 Jan 2022 14:49:48 +0100

Radon Rosborough <[email-masked]> writes:

> While you have an unsaved buffer, Emacs creates a lock file [1] in the
> current directory. This is useful to prevent concurrent edits, but it
> is also annoying to have the extra file around: for example, if you
> save frequently while you have a Dired pane with a fast Auto Revert
> enabled in another window, the lock file will keep appearing and
> disappearing rapidly.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This has been fixed for Emacs 28 by the introduction of the
`lock-file-name-transforms' variable, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no